> ## Documentation Index
> Fetch the complete documentation index at: https://paydocs.dashu.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposits

> Using this endpoint you'll have the ability to get a list of deposits that sent or prepared to be sent to the vendor bank account.

### Query Parameters

<ParamField query="apiKey" type="string" placeholder="API Key" required>
  The API Key of your account.
</ParamField>

<ParamField query="test" type="boolean" initialValue={true}>
  Set this property to `true` to send the request to the development
  environment.
</ParamField>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true,
    "result": [
      {
        "Iban": "SA0000000000000000000000",
        "DepositId": 123123,
        "VendorId": 456456,
        "DepositReference": "123456789",
        "BankName": "Riyad Bank(RB)",
        "TotalValue": 53661.0089999999981955625116825103759765625,
        "DepositDate": "02/06/2024"
      },
      {
        "Iban": "SA0000000000000000000000",
        "DepositId": 123123,
        "VendorId": 456456,
        "DepositReference": "123456789",
        "BankName": "Riyad Bank(RB)",
        "TotalValue": 123.23102948723462873,
        "DepositDate": "01/06/2024"
      }
    ]
  }
  ```

  ```json Error theme={null}
  {
    "success": false,
    "code": "1",
    "message": "Missing or invalid api key"
  }
  ```
</ResponseExample>

### Response properties

<ResponseField name="IsSuccess" type="boolean" required>
  The response status.
</ResponseField>

<ResponseField name="Message" type="string" required>
  The description of the response status.
</ResponseField>

<ResponseField name="ValidationErrors" type="array|null" required>
  List of validation errors (if any).
</ResponseField>

<ResponseField name="result" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="Iban" type="string" required>
      The IBAN number used to transfer the deposit.
    </ResponseField>

    <ResponseField name="DepositId" type="integer" required>
      A unique number indicates the Deposit in DashPay system.
    </ResponseField>

    <ResponseField name="VendorId" type="string" required>
      A unique number indicates the Vendor account in DashPay system.
    </ResponseField>

    <ResponseField name="DepositReference" type="string" required>
      A unique value indicates the Deposit in DashPay system.
    </ResponseField>

    <ResponseField name="BankName" type="string" required>
      Name of the bank that owns the IBAN number.
    </ResponseField>

    <ResponseField name="TotalValue" type="string" required>
      The total amount sent to the bank account.
    </ResponseField>

    <ResponseField name="DepositDate" type="string" required>
      The date of issuing the Deposit process.
    </ResponseField>
  </Expandable>
</ResponseField>

## Error Codes

Here's a list of possible error codes of this endpoint.

| **Code** | **Description**            |
| -------- | -------------------------- |
| 1        | Missing or invalid api key |
